/*
 * *** Do not change this file by hand. It is automatically
 * *** generated from the DocBook documentation.
 *
 * generated by
 *     /usr/local/bin/perl create_help.pl ../../../doc/src/sgml/ref sql_help.h
 *
 */

#ifndef SQL_HELP_H
#define SQL_HELP_H

struct _helpStruct
{
    char	   *cmd;	   /* the command name */
    char	   *help;	   /* the help associated with it */
    char	   *syntax;	   /* the syntax associated with it */
};


static struct _helpStruct QL_HELP[] = {
    { "ABORT",
      "abort the current transaction",
      "ABORT [ WORK | TRANSACTION ]" },

    { "ALTER AGGREGATE",
      "change the definition of an aggregate function",
      "ALTER AGGREGATE name ( type ) RENAME TO newname" },

    { "ALTER CONVERSION",
      "change the definition of a conversion",
      "ALTER CONVERSION name RENAME TO newname" },

    { "ALTER DATABASE",
      "change a database",
      "ALTER DATABASE name SET variable { TO | = } { value | DEFAULT }\nALTER DATABASE name RESET variable\n\nALTER DATABASE name RENAME TO newname" },

    { "ALTER DOMAIN",
      "change the definition of a domain",
      "ALTER DOMAIN domain\n    { SET DEFAULT value | DROP DEFAULT }\nALTER DOMAIN domain\n    { SET | DROP } NOT NULL\nALTER DOMAIN domain\n    ADD domain_constraint\nALTER DOMAIN domain\n    DROP CONSTRAINT constraint_name [ RESTRICT | CASCADE ]\nALTER DOMAIN domain\n    OWNER TO new_owner" },

    { "ALTER FUNCTION",
      "change the definition of a function",
      "ALTER FUNCTION name ( [ type [, ...] ] ) RENAME TO newname" },

    { "ALTER GROUP",
      "change a user group",
      "ALTER GROUP groupname ADD USER username [, ... ]\nALTER GROUP groupname DROP USER username [, ... ]\n\nALTER GROUP groupname RENAME TO newname" },

    { "ALTER LANGUAGE",
      "change the definition of a procedural language",
      "ALTER LANGUAGE name RENAME TO newname" },

    { "ALTER OPERATOR CLASS",
      "change the definition of an operator class",
      "ALTER OPERATOR CLASS name USING index_method RENAME TO newname" },

    { "ALTER SEQUENCE",
      "alter the definition of a sequence generator",
      "ALTER SEQUENCE seqname [ INCREMENT [ BY ] increment ]\n    [ MINVALUE minvalue | NO MINVALUE ] [ MAXVALUE maxvalue | NO MAXVALUE ]\n    [ RESTART [ WITH ] start ] [ CACHE cache ] [ [ NO ] CYCLE ]" },

    { "ALTER TABLE",
      "change the definition of a table",
      "ALTER TABLE [ ONLY ] table [ * ]\n    ADD [ COLUMN ] column type [ column_constraint [ ... ] ]\nALTER TABLE [ ONLY ] table [ * ]\n    DROP [ COLUMN ] column [ RESTRICT | CASCADE ]\nALTER TABLE [ ONLY ] table [ * ]\n    ALTER [ COLUMN ] column { SET DEFAULT value | DROP DEFAULT }\nALTER TABLE [ ONLY ] table [ * ]\n    ALTER [ COLUMN ] column { SET | DROP } NOT NULL\nALTER TABLE [ ONLY ] table [ * ]\n    ALTER [ COLUMN ] column SET STATISTICS integer\nALTER TABLE [ ONLY ] table [ * ]\n    ALTER [ COLUMN ] column SET STORAGE { PLAIN | EXTERNAL | EXTENDED | MAIN }\nALTER TABLE [ ONLY ] table [ * ]\n    SET WITHOUT OIDS\nALTER TABLE [ ONLY ] table [ * ]\n    RENAME [ COLUMN ] column TO new_column\nALTER TABLE table\n    RENAME TO new_table\nALTER TABLE [ ONLY ] table [ * ]\n    ADD table_constraint\nALTER TABLE [ ONLY ] table [ * ]\n    DROP CONSTRAINT constraint_name [ RESTRICT | CASCADE ]\nALTER TABLE table\n    OWNER TO new_owner \nALTER TABLE table\n	CLUSTER ON index_name" },

    { "ALTER TRIGGER",
      "change the definition of a trigger",
      "ALTER TRIGGER trigger ON table\n    RENAME TO newname" },

    { "ALTER USER",
      "change a database user account",
      "ALTER USER username [ [ WITH ] option [ ... ] ]\n\nwhere option can be:\n\n    [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password' \n    | CREATEDB | NOCREATEDB\n    | CREATEUSER | NOCREATEUSER \n    | VALID UNTIL 'abstime'\n\nALTER USER username RENAME TO newname\n\nALTER USER username SET variable { TO | = } { value | DEFAULT }\nALTER USER username RESET variable" },

    { "ANALYZE",
      "collect statistics about a database",
      "ANALYZE [ VERBOSE ] [ table [ (column [, ...] ) ] ]" },

    { "BEGIN",
      "start a transaction block",
      "BEGIN [ WORK | TRANSACTION ]" },

    { "CHECKPOINT",
      "force a transaction log checkpoint",
      "CHECKPOINT" },

    { "CLOSE",
      "close a cursor",
      "CLOSE cursor" },

    { "CLUSTER",
      "cluster a table according to an index",
      "CLUSTER indexname ON tablename\nCLUSTER tablename\nCLUSTER" },

    { "COMMENT",
      "define or change the comment of an object",
      "COMMENT ON\n{\n  TABLE object_name |\n  COLUMN table_name.column_name |\n  AGGREGATE agg_name (agg_type) |\n  CONSTRAINT constraint_name ON table_name |\n  DATABASE object_name |\n  DOMAIN object_name |\n  FUNCTION func_name (arg1_type, arg2_type, ...) |\n  INDEX object_name |\n  OPERATOR op (leftoperand_type, rightoperand_type) |\n  RULE rule_name ON table_name |\n  SCHEMA object_name |\n  SEQUENCE object_name |\n  TRIGGER trigger_name ON table_name |\n  TYPE object_name |\n  VIEW object_name\n} IS 'text'" },

    { "COMMIT",
      "commit the current transaction",
      "COMMIT [ WORK | TRANSACTION ]" },

    { "COPY",
      "copy data between files and tables",
      "COPY table [ ( column [, ...] ) ]\n    FROM { 'filename' | STDIN }\n    [ [ WITH ] \n          [ BINARY ] \n          [ OIDS ]\n          [ DELIMITER [ AS ] 'delimiter' ]\n          [ NULL [ AS ] 'null string' ] ]\n\nCOPY table [ ( column [, ...] ) ]\n    TO { 'filename' | STDOUT }\n    [ [ WITH ] \n          [ BINARY ]\n          [ OIDS ]\n          [ DELIMITER [ AS ] 'delimiter' ]\n          [ NULL [ AS ] 'null string' ] ]" },

    { "CREATE AGGREGATE",
      "define a new aggregate function",
      "CREATE AGGREGATE name (\n    BASETYPE = input_data_type,\n    SFUNC = sfunc,\n    STYPE = state_data_type\n    [ , FINALFUNC = ffunc ]\n    [ , INITCOND = initial_condition ]\n)" },

    { "CREATE CAST",
      "define a user-defined cast",
      "CREATE CAST (sourcetype AS targettype)\n    WITH FUNCTION funcname (argtype)\n    [ AS ASSIGNMENT | AS IMPLICIT ]\n\nCREATE CAST (sourcetype AS targettype)\n    WITHOUT FUNCTION\n    [ AS ASSIGNMENT | AS IMPLICIT ]" },

    { "CREATE CONSTRAINT TRIGGER",
      "define a new constraint trigger",
      "CREATE CONSTRAINT TRIGGER name\n    AFTER events ON\n    table constraint attributes\n    FOR EACH ROW EXECUTE PROCEDURE func ( args )" },

    { "CREATE CONVERSION",
      "define a user-defined conversion",
      "CREATE [DEFAULT] CONVERSION name\n    FOR source_encoding TO dest_encoding FROM funcname" },

    { "CREATE DATABASE",
      "create a new database",
      "CREATE DATABASE name\n    [ [ WITH ] [ OWNER [=] dbowner ]\n           [ LOCATION [=] 'dbpath' ]\n           [ TEMPLATE [=] template ]\n           [ ENCODING [=] encoding ] ]" },

    { "CREATE DOMAIN",
      "define a new domain",
      "CREATE DOMAIN domainname [AS] data_type\n    [ DEFAULT default_expr ]\n    [ constraint [ ... ] ]\n\nwhere constraint is:\n\n[ CONSTRAINT constraint_name ]\n{ NOT NULL | NULL | CHECK (expression) }" },

    { "CREATE FUNCTION",
      "define a new function",
      "CREATE [ OR REPLACE ] FUNCTION name ( [ argtype [, ...] ] )\n    RETURNS rettype\n  { LANGUAGE langname\n    | IMMUTABLE | STABLE | VOLATILE\n    | CALLED ON NULL INPUT | RETURNS NULL ON NULL INPUT | STRICT\n    | [EXTERNAL] SECURITY INVOKER | [EXTERNAL] SECURITY DEFINER\n    | AS 'definition'\n    | AS 'obj_file', 'link_symbol'\n  } ...\n    [ WITH ( attribute [, ...] ) ]" },

    { "CREATE GROUP",
      "define a new user group",
      "CREATE GROUP name [ [ WITH ] option [ ... ] ]\n\nwhere option can be:\n\n     SYSID gid\n   | USER  username [, ...]" },

    { "CREATE INDEX",
      "define a new index",
      "CREATE [ UNIQUE ] INDEX index_name ON table [ USING method ]\n    ( { column | ( expression ) } [ opclass ] [, ...] )\n    [ WHERE predicate ]" },

    { "CREATE LANGUAGE",
      "define a new procedural language",
      "CREATE [ TRUSTED ] [ PROCEDURAL ] LANGUAGE langname\n    HANDLER call_handler [ VALIDATOR valfunction ]" },

    { "CREATE OPERATOR CLASS",
      "define a new operator class for indexes",
      "CREATE OPERATOR CLASS name [ DEFAULT ] FOR TYPE data_type USING index_method AS\n  {  OPERATOR strategy_number operator_name [ ( op_type, op_type ) ] [ RECHECK ]\n   | FUNCTION support_number func_name ( argument_types )\n   | STORAGE storage_type\n  } [, ... ]" },

    { "CREATE OPERATOR",
      "define a new operator",
      "CREATE OPERATOR name (\n    PROCEDURE = func_name\n    [, LEFTARG = lefttype ] [, RIGHTARG = righttype ]\n    [, COMMUTATOR = com_op ] [, NEGATOR = neg_op ]\n    [, RESTRICT = res_proc ] [, JOIN = join_proc ]\n    [, HASHES ] [, MERGES ]\n    [, SORT1 = left_sort_op ] [, SORT2 = right_sort_op ]\n    [, LTCMP = less_than_op ] [, GTCMP = greater_than_op ]\n)" },

    { "CREATE RULE",
      "define a new rewrite rule",
      "CREATE [ OR REPLACE ] RULE name AS ON event\n    TO table [ WHERE condition ]\n    DO [ INSTEAD ] { NOTHING | command | ( command ; command ... ) }" },

    { "CREATE SCHEMA",
      "define a new schema",
      "CREATE SCHEMA schemaname [ AUTHORIZATION username ] [ schema_element [ ... ] ]\nCREATE SCHEMA AUTHORIZATION username [ schema_element [ ... ] ]" },

    { "CREATE SEQUENCE",
      "define a new sequence generator",
      "CREATE [ TEMPORARY | TEMP ] SEQUENCE seqname [ INCREMENT [ BY ] increment ]\n    [ MINVALUE minvalue | NO MINVALUE ] [ MAXVALUE maxvalue | NO MAXVALUE ]\n    [ START [ WITH ] start ] [ CACHE cache ] [ [ NO ] CYCLE ]" },

    { "CREATE TABLE",
      "define a new table",
      "CREATE [ [ GLOBAL | LOCAL ] { TEMPORARY | TEMP } ] TABLE table_name (\n    { column_name data_type [ DEFAULT default_expr ] [ column_constraint [, ... ] ]\n    | table_constraint\n    | LIKE parent_table [ { INCLUDING | EXCLUDING } DEFAULTS ] }  [, ... ]\n)\n[ INHERITS ( parent_table [, ... ] ) ]\n[ WITH OIDS | WITHOUT OIDS ]\n[ ON COMMIT { PRESERVE ROWS | DELETE ROWS | DROP } ]\n\nwhere column_constraint is:\n\n[ CONSTRAINT constraint_name ]\n{ NOT NULL | NULL | UNIQUE | PRIMARY KEY |\n  CHECK (expression) |\n  REFERENCES reftable [ ( refcolumn ) ] [ MATCH FULL | MATCH PARTIAL | MATCH SIMPLE ]\n    [ ON DELETE action ] [ ON UPDATE action ] }\n[ DEFERRABLE | NOT DEFERRABLE ] [ INITIALLY DEFERRED | INITIALLY IMMEDIATE ]\n\nand table_constraint is:\n\n[ CONSTRAINT constraint_name ]\n{ UNIQUE ( column_name [, ... ] ) |\n  PRIMARY KEY ( column_name [, ... ] ) |\n  CHECK ( expression ) |\n  FOREIGN KEY ( column_name [, ... ] ) REFERENCES reftable [ ( refcolumn [, ... ] ) ]\n    [ MATCH FULL | MATCH PARTIAL | MATCH SIMPLE ] [ ON DELETE action ] [ ON UPDATE action ] }\n[ DEFERRABLE | NOT DEFERRABLE ] [ INITIALLY DEFERRED | INITIALLY IMMEDIATE ]" },

    { "CREATE TABLE AS",
      "create a new table from the results of a query",
      "CREATE [ [ GLOBAL | LOCAL ] { TEMPORARY | TEMP } ] TABLE table_name [ (column_name [, ...] ) ]\n    AS query" },

    { "CREATE TRIGGER",
      "define a new trigger",
      "CREATE TRIGGER name { BEFORE | AFTER } { event [ OR ... ] }\n    ON table [ FOR [ EACH ] { ROW | STATEMENT } ]\n    EXECUTE PROCEDURE func ( arguments )" },

    { "CREATE TYPE",
      "define a new data type",
      "CREATE TYPE typename AS\n    ( attribute_name data_type [, ... ] )\n\nCREATE TYPE typename (\n    INPUT = input_function,\n    OUTPUT = output_function\n    [ , RECEIVE = receive_function ]\n    [ , SEND = send_function ]\n    [ , INTERNALLENGTH = { internallength | VARIABLE } ]\n    [ , PASSEDBYVALUE ]\n    [ , ALIGNMENT = alignment ]\n    [ , STORAGE = storage ]\n    [ , DEFAULT = default ]\n    [ , ELEMENT = element ]\n    [ , DELIMITER = delimiter ]\n)" },

    { "CREATE USER",
      "define a new database user account",
      "CREATE USER username [ [ WITH ] option [ ... ] ]\n\nwhere option can be:\n    \n      SYSID uid \n    | [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password'\n    | CREATEDB | NOCREATEDB\n    | CREATEUSER | NOCREATEUSER\n    | IN GROUP groupname [, ...]\n    | VALID UNTIL 'abstime'" },

    { "CREATE VIEW",
      "define a new view",
      "CREATE [ OR REPLACE ] VIEW name [ ( column_name [, ...] ) ] AS query" },

    { "DEALLOCATE",
      "deallocate a prepared statement",
      "DEALLOCATE [ PREPARE ] plan_name" },

    { "DECLARE",
      "define a cursor",
      "DECLARE cursorname [ BINARY ] [ INSENSITIVE ] [ [ NO ] SCROLL ]\n    CURSOR [ { WITH | WITHOUT } HOLD ] FOR query\n    [ FOR { READ ONLY | UPDATE [ OF column [, ...] ] } ]" },

    { "DELETE",
      "delete rows of a table",
      "DELETE FROM [ ONLY ] table [ WHERE condition ]" },

    { "DROP AGGREGATE",
      "remove a user-defined aggregate function",
      "DROP AGGREGATE name ( type ) [ CASCADE | RESTRICT ]" },

    { "DROP CAST",
      "remove a user-defined cast",
      "DROP CAST (sourcetype AS targettype) [ CASCADE | RESTRICT ]" },

    { "DROP CONVERSION",
      "remove a user-defined conversion",
      "DROP CONVERSION conversion_name [ CASCADE | RESTRICT ]" },

    { "DROP DATABASE",
      "remove a database",
      "DROP DATABASE name" },

    { "DROP DOMAIN",
      "remove a domain",
      "DROP DOMAIN domainname [, ...]  [ CASCADE | RESTRICT ]" },

    { "DROP FUNCTION",
      "remove a user-defined function",
      "DROP FUNCTION name ( [ type [, ...] ] ) [ CASCADE | RESTRICT ]" },

    { "DROP GROUP",
      "remove a user group",
      "DROP GROUP name" },

    { "DROP INDEX",
      "remove an index",
      "DROP INDEX name [, ...] [ CASCADE | RESTRICT ]" },

    { "DROP LANGUAGE",
      "remove a user-defined procedural language",
      "DROP [ PROCEDURAL ] LANGUAGE name [ CASCADE | RESTRICT ]" },

    { "DROP OPERATOR CLASS",
      "remove a user-defined operator class",
      "DROP OPERATOR CLASS name USING index_method [ CASCADE | RESTRICT ]" },

    { "DROP OPERATOR",
      "remove a user-defined operator",
      "DROP OPERATOR name ( lefttype | NONE , righttype | NONE ) [ CASCADE | RESTRICT ]" },

    { "DROP RULE",
      "remove a rewrite rule",
      "DROP RULE name ON relation [ CASCADE | RESTRICT ]" },

    { "DROP SCHEMA",
      "remove a schema",
      "DROP SCHEMA name [, ...] [ CASCADE | RESTRICT ]" },

    { "DROP SEQUENCE",
      "remove a sequence",
      "DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]" },

    { "DROP TABLE",
      "remove a table",
      "DROP TABLE name [, ...] [ CASCADE | RESTRICT ]" },

    { "DROP TRIGGER",
      "remove a trigger",
      "DROP TRIGGER name ON table [ CASCADE | RESTRICT ]" },

    { "DROP TYPE",
      "remove a user-defined data type",
      "DROP TYPE typename [, ...] [ CASCADE | RESTRICT ]" },

    { "DROP USER",
      "remove a database user account",
      "DROP USER name" },

    { "DROP VIEW",
      "remove a view",
      "DROP VIEW name [, ...] [ CASCADE | RESTRICT ]" },

    { "END",
      "commit the current transaction",
      "END [ WORK | TRANSACTION ]" },

    { "EXECUTE",
      "execute a prepared statement",
      "EXECUTE plan_name [ (parameter [, ...] ) ]" },

    { "EXPLAIN",
      "show the execution plan of a statement",
      "EXPLAIN [ ANALYZE ] [ VERBOSE ] statement" },

    { "FETCH",
      "retrieve rows from a query using a cursor",
      "FETCH [ direction { FROM | IN } ] cursor\n\nwhere direction can be empty or one of:\n\n    NEXT\n    PRIOR\n    FIRST\n    LAST\n    ABSOLUTE count\n    RELATIVE count\n    count\n    ALL\n    FORWARD\n    FORWARD count\n    FORWARD ALL\n    BACKWARD\n    BACKWARD count\n    BACKWARD ALL" },

    { "GRANT",
      "define access privileges",
      "GRANT { { SELECT | INSERT | UPDATE | DELETE | RULE | REFERENCES | TRIGGER }\n    [,...] | ALL [ PRIVILEGES ] }\n    ON [ TABLE ] tablename [, ...]\n    TO { username | GROUP groupname | PUBLIC } [, ...] [ WITH GRANT OPTION ]\n\nGRANT { { CREATE | TEMPORARY | TEMP } [,...] | ALL [ PRIVILEGES ] }\n    ON DATABASE dbname [, ...]\n    TO { username | GROUP groupname | PUBLIC } [, ...] [ WITH GRANT OPTION ]\n\nGRANT { EXECUTE | ALL [ PRIVILEGES ] }\n    ON FUNCTION funcname ([type, ...]) [, ...]\n    TO { username | GROUP groupname | PUBLIC } [, ...] [ WITH GRANT OPTION ]\n\nGRANT { USAGE | ALL [ PRIVILEGES ] }\n    ON LANGUAGE langname [, ...]\n    TO { username | GROUP groupname | PUBLIC } [, ...] [ WITH GRANT OPTION ]\n\nGRANT { { CREATE | USAGE } [,...] | ALL [ PRIVILEGES ] }\n    ON SCHEMA schemaname [, ...]\n    TO { username | GROUP groupname | PUBLIC } [, ...] [ WITH GRANT OPTION ]" },

    { "INSERT",
      "create new rows in a table",
      "INSERT INTO table [ ( column [, ...] ) ]\n    { DEFAULT VALUES | VALUES ( { expression | DEFAULT } [, ...] ) | query }" },

    { "LISTEN",
      "listen for a notification",
      "LISTEN name" },

    { "LOAD",
      "load or reload a shared library file",
      "LOAD 'filename'" },

    { "LOCK",
      "lock a table",
      "LOCK [ TABLE ] name [, ...] [ IN lockmode MODE ]\n\nwhere lockmode is one of:\n\n    ACCESS SHARE | ROW SHARE | ROW EXCLUSIVE | SHARE UPDATE EXCLUSIVE\n    | SHARE | SHARE ROW EXCLUSIVE | EXCLUSIVE | ACCESS EXCLUSIVE" },

    { "MOVE",
      "reposition a cursor",
      "MOVE [ direction { FROM | IN } ] cursor" },

    { "NOTIFY",
      "generate a notification",
      "NOTIFY name" },

    { "PREPARE",
      "prepare a statement for execution",
      "PREPARE plan_name [ (datatype [, ...] ) ] AS statement" },

    { "REINDEX",
      "rebuild indexes",
      "REINDEX { DATABASE | TABLE | INDEX } name [ FORCE ]" },

    { "RESET",
      "restore the value of a run-time parameter to the default value",
      "RESET parameter" },

    { "REVOKE",
      "remove access privileges",
      "REVOKE [ GRANT OPTION FOR ]\n    { { SELECT | INSERT | UPDATE | DELETE | RULE | REFERENCES | TRIGGER }\n    [,...] | ALL [ PRIVILEGES ] }\n    ON [ TABLE ] tablename [, ...]\n    FROM { username | GROUP groupname | PUBLIC } [, ...]\n    [ CASCADE | RESTRICT ]\n\nREVOKE [ GRANT OPTION FOR ]\n    { { CREATE | TEMPORARY | TEMP } [,...] | ALL [ PRIVILEGES ] }\n    ON DATABASE dbname [, ...]\n    FROM { username | GROUP groupname | PUBLIC } [, ...]\n    [ CASCADE | RESTRICT ]\n\nREVOKE [ GRANT OPTION FOR ]\n    { EXECUTE | ALL [ PRIVILEGES ] }\n    ON FUNCTION funcname ([type, ...]) [, ...]\n    FROM { username | GROUP groupname | PUBLIC } [, ...]\n    [ CASCADE | RESTRICT ]\n\nREVOKE [ GRANT OPTION FOR ]\n    { USAGE | ALL [ PRIVILEGES ] }\n    ON LANGUAGE langname [, ...]\n    FROM { username | GROUP groupname | PUBLIC } [, ...]\n    [ CASCADE | RESTRICT ]\n\nREVOKE [ GRANT OPTION FOR ]\n    { { CREATE | USAGE } [,...] | ALL [ PRIVILEGES ] }\n    ON SCHEMA schemaname [, ...]\n    FROM { username | GROUP groupname | PUBLIC } [, ...]\n    [ CASCADE | RESTRICT ]" },

    { "ROLLBACK",
      "abort the current transaction",
      "ROLLBACK [ WORK | TRANSACTION ]" },

    { "SELECT",
      "retrieve rows from a table or view",
      "SELECT [ ALL | DISTINCT [ ON ( expression [, ...] ) ] ]\n    * | expression [ AS output_name ] [, ...]\n    [ FROM from_item [, ...] ]\n    [ WHERE condition ]\n    [ GROUP BY expression [, ...] ]\n    [ HAVING condition [, ...] ]\n    [ { UNION | INTERSECT | EXCEPT } [ ALL ] select ]\n    [ ORDER BY expression [ ASC | DESC | USING operator ] [, ...] ]\n    [ LIMIT { count | ALL } ]\n    [ OFFSET start ]\n    [ FOR UPDATE [ OF table_name [, ...] ] ]\n\nwhere from_item can be one of:\n\n    [ ONLY ] table_name [ * ] [ [ AS ] alias [ ( column_alias [, ...] ) ] ]\n    ( select ) [ AS ] alias [ ( column_alias [, ...] ) ]\n    function_name ( [ argument [, ...] ] ) [ AS ] alias [ ( column_alias [, ...] | column_definition [, ...] ) ]\n    function_name ( [ argument [, ...] ] ) AS ( column_definition [, ...] )\n    from_item [ NATURAL ] join_type from_item [ ON join_condition | USING ( join_column [, ...] ) ]" },

    { "SELECT INTO",
      "create a new table from the results of a query",
      "SELECT [ ALL | DISTINCT [ ON ( expression [, ...] ) ] ]\n    * | expression [ AS output_name ] [, ...]\n    INTO [ TEMPORARY | TEMP ] [ TABLE ] new_table\n    [ FROM from_item [, ...] ]\n    [ WHERE condition ]\n    [ GROUP BY expression [, ...] ]\n    [ HAVING condition [, ...] ]\n    [ { UNION | INTERSECT | EXCEPT } [ ALL ] select ]\n    [ ORDER BY expression [ ASC | DESC | USING operator ] [, ...] ]\n    [ LIMIT { count | ALL } ]\n    [ OFFSET start ]\n    [ FOR UPDATE [ OF tablename [, ...] ] ]" },

    { "SET",
      "change a run-time parameter",
      "SET [ SESSION | LOCAL ] variable { TO | = } { value | 'value' | DEFAULT }\nSET [ SESSION | LOCAL ] TIME ZONE { timezone | LOCAL | DEFAULT }" },

    { "SET CONSTRAINTS",
      "set the constraint mode of the current transaction",
      "SET CONSTRAINTS { ALL | constraint [, ...] } { DEFERRED | IMMEDIATE }" },

    { "SET SESSION AUTHORIZATION",
      "set the session user identifier and the current user identifier of the current session",
      "SET [ SESSION | LOCAL ] SESSION AUTHORIZATION username\nSET [ SESSION | LOCAL ] SESSION AUTHORIZATION DEFAULT\nRESET SESSION AUTHORIZATION" },

    { "SET TRANSACTION",
      "set the characteristics of the current transaction",
      "SET TRANSACTION\n    [ ISOLATION LEVEL { READ COMMITTED | SERIALIZABLE } ] [ READ WRITE | READ ONLY ]\nSET SESSION CHARACTERISTICS AS TRANSACTION\n    [ ISOLATION LEVEL { READ COMMITTED | SERIALIZABLE } ] [ READ WRITE | READ ONLY ]" },

    { "SHOW",
      "show the value of a run-time parameter",
      "SHOW name" },

    { "START TRANSACTION",
      "start a transaction block",
      "START TRANSACTION [ ISOLATION LEVEL { READ COMMITTED | SERIALIZABLE } ] [ READ WRITE | READ ONLY ]" },

    { "TRUNCATE",
      "empty a table",
      "TRUNCATE [ TABLE ] name" },

    { "UNLISTEN",
      "stop listening for a notification",
      "UNLISTEN { name | * }" },

    { "UPDATE",
      "update rows of a table",
      "UPDATE [ ONLY ] table SET column = { expression | DEFAULT } [, ...]\n    [ FROM fromlist ]\n    [ WHERE condition ]" },

    { "VACUUM",
      "garbage-collect and optionally analyze a database",
      "VACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] [ table ]\nVACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] ANALYZE [ table [ (column [, ...] ) ] ]" },


    { NULL, NULL, NULL }    /* End of list marker */
};


#define QL_HELP_COUNT 92


#endif /* SQL_HELP_H */
